GET /dnslookup/{uuid}

GET /dnslookup/{uuid}

/dnslookup/{uuid}

Request
URI
GET
https://{api_host}/api/dnslookup/{uuid}
COPY
Path Parameters
string
uuid
Required  

UUID of the object to fetch

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns DnsLookupResult of type(s) application/json
{
    "ip6s": [
        "string"
    ],
    "ips": [
        "string"
    ],
    "server": "string"
}
array of string
ip6s
Optional

Resolved IPv6 addresses. Absent if resolution failed, or if pool=true and the associated Cloud has resolve_fqdn_to_ipv6 disabled. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of string
ips
Optional

Resolved IPv4 addresses. Absent if resolution failed. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
server
Required  

The FQDN or IP that was looked up, echoed back. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

404

object not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/dnslookup/{uuid}